## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Get Conversation Counter Metrics for a Project

`GET /v2.0/projects/{projectId}/conversationcounter`

#### Try it

**cURL**

```bash
curl --request GET \ 
  --url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/conversationcounter \ 
  --header 'X-API-Key: <api-key>'
```

**Python**

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/conversationcounter"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

**JavaScript (Fetch)**

```javascript
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/conversationcounter', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

**PHP**

```php
$curl = curl_init();
curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/conversationcounter",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

**Go**

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {
	url := "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/conversationcounter"

req, _ := http.NewRequest("GET", url, nil)
	req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)
	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

**Response Codes**

- `200`: Successful request returns conversation counter stats.
- `400`: Bad Request.
- `401`: Unauthorized.
- `402`: Payment Required.
- `403`: Forbidden.
- `404`: Not Found.
- `405`: Method Not Allowed.
- `409`: Conflict.
- `413`: Payload Too Large.
- `500`: Internal Server Error.
- `501`: Not Implemented.
- `502`: Bad Gateway.
- `503`: Service Unavailable.
- `504`: Gateway Timeout.

#### Sample Response 200

```json
{
  "items": [
    {
      "conversations": 123,
      "day": 123,
      "month": 123,
      "year": 123,
      "channel": "<string>"
    }
  ]
}
```

#### Error Responses

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Unauthorized",
  "title": "Unauthorized Error",
  "status": 401,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 401,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payment Required",
  "title": "Payment Required Error",
  "status": 402,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 402,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Forbidden",
  "title": "Forbidden Error",
  "status": 403,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Found",
  "title": "Not Found Error",
  "status": 404,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {},
  "logLevel": "error"
}
```

```json
{
  "type": "Method Not Allowed",
  "title": "Method Not Allowed Error",
  "status": 405,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Conflict",
  "title": "Conflict Error",
  "status": 409,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1004,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Payload Too Large",
  "title": "Payload Too Large Error",
  "status": 413,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Internal Server Error",
  "title": "Internal Server Error",
  "status": 500,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Not Implemented",
  "title": "Not Implemented Error",
  "status": 501,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1009,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Bad Gateway",
  "title": "Bad Gateway Error",
  "status": 502,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Service Unavailable",
  "title": "Service Unavailable Error",
  "status": 503,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 503,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

```json
{
  "type": "Gateway Timeout",
  "title": "Gateway Timeout Error",
  "status": 504,
  "detail": "<string>",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

- **APIKeyHeader**

- `X-API-Key`
    - type: string
    - location: header
    - required: true
    - Supply the API Key in the HTTP-Header

### Headers

- **Accept**  
  - type: enum<string>
  - The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

#### Path Parameters

- **projectId**
  - type: string
  - required: true
  - The unique identifier for the Project.
  - Required string length: `24`
  - Pattern: `^[a-z0-9]{24}$`

#### Query Parameters

- **year**
  - type: number
  - required: true
- **month**
  - type: number

- **nonConversational**
  - type: boolean
  - Deprecated. Please no longer use this parameter. Use `channel=nonConversational` instead.

- **channel**
  - type: enum<string>
  - As of release 4.96, conversations can be filtered by specific channels.
  - Available options: `facebook`, `alexa`, `slack`, `generic`, `inject`, `rest`, `realtime`, `socket`, `adminconsole`, `webchat2`, `dialogflow`, `twilio`, `twilio-sms`, `line`, `intercom`, `microsoftBotFramework`, `microsoftTeams`, `sunshineConversations`, `admin-webchat`, `avaya`, `nonConversational`, `voiceGateway2`, `amazonLex`, `workplace`, `webhook`, `abstractRest`, `userlike`, `ringCentralEngage`, `audioCodes`, `bandwidth`, `whatsapp`, `eightByEight`, `genesysBotConnector`, `niceCXOne`, `agentAssistVoice`, `webchat3`, `niceCXOneAAH`, `zoomContactCenter`, `mcpServer`.

Example: `
